﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.AddOns.ViewModels {

	public class AkismetViewModel {
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "RunAsync")]
		public Boolean RunAsynchronously { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "Delay")]
		public Int32 Delay { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "Key")]
		public String Key { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "Enabled")]
		public Boolean Enabled { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "MarkAsSpamOnHit")]
		public Boolean MarkAsSpamOnHit { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.Akismet", "SpamScore")]
		public Int32? SpamScore { get; set; }
	}
}