﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.AddOns.ViewModels {

	public class MultiPostViewModel {
		[LocalizedDisplay("mvcForum.AddOns.MultiPost", "RunAsync")]
		public Boolean RunAsynchronously { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.MultiPost", "Delay")]
		public Int32 Delay { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.MultiPost", "Enabled")]
		public Boolean Enabled { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.MultiPost", "Interval")]
		public Int32? Interval { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.MultiPost", "Posts")]
		public Int32? Posts { get; set; }
		//[LocalisedDisplay(typeof(mvcForum.AddOns.AddOnBuilder), "MultiPost.AutoQuarantine")]
		//public Boolean AutoQuarantine { get; set; }
		//[LocalisedDisplay(typeof(mvcForum.AddOns.AddOnBuilder), "MultiPost.AutoLimit")]
		//public Int32 AutoLimit { get; set; }
	}
}
