﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.AddOns.ViewModels {

	public class StopForumSpamViewModel {
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "Enabled")]
		public Boolean Enabled { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.StopForumSpam", "RunAsync")]
		public Boolean RunAsynchronously { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.StopForumSpam", "Delay")]
		public Int32 Delay { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.StopForumSpam", "Key")]
		public String Key { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.StopForumSpam", "MarkAsSpamOnHit")]
		public Boolean MarkAsSpamOnHit { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.StopForumSpam", "CheckNewUsers")]
		public Boolean CheckNewUsers { get; set; }
	}
}