﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	/// <summary>
	/// An interface used for elements that can be cached.
	/// </summary>
	public interface ICacheable {
		/// <summary>
		/// The Id of the instance which along with the type is a unique identifier.
		/// </summary>
		Int32 Id { get; }
	}
}
