﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	/// <summary>
	/// Interface for user/forum subscribtion data object.
	/// </summary>
	public interface IFollowForumData : IDataContainer {
		/// <summary>
		/// Id of the forum that is being followed.
		/// </summary>
		Int32 ForumId { get; set; }
		/// <summary>
		/// Id of the user following the topic.
		/// </summary>
		Int32 UserId { get; set; }
	}
}