﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	/// <summary>
	/// Interface for user/topic subscribtion data object.
	/// </summary>
	public interface IFollowTopicData : IDataContainer {
		/// <summary>
		/// Id of the topic that is being followed.
		/// </summary>
		Int32 TopicId { get; set; }
		/// <summary>
		/// Id of the user following the topic.
		/// </summary>
		Int32 UserId { get; set; }
	}
}