﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	/// <summary>
	/// Interface for the ForumAccess data object.
	/// </summary>
	public interface IForumAccessData : IDataContainer {
		/// <summary>
		/// Id of the forum.
		/// </summary>
		Int32 ForumId { get; set; }
		/// <summary>
		/// Id of the group.
		/// </summary>
		Int32 GroupId { get; set; }
		/// <summary>
		/// Id of the access mask.
		/// </summary>
		Int32 AccessMaskId { get; set; }
	}
}
