﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.DataProvider;

namespace mvcForum.Core.Interfaces.Data {

	public interface IBoardRepository : IRepository<Board> {
		IEnumerable<Board> ReadManyOptimized(ISpecification<Board> spec);
		Board ReadOneOptimized(ISpecification<Board> spec);
	}
}