﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.DataProvider;

namespace mvcForum.Core.Interfaces.Data {

	public interface IForumRepository : IRepository<Forum> {
		IEnumerable<Forum> ReadManyOptimized(ISpecification<Forum> spec);
		Forum ReadOneOptimized(ISpecification<Forum> spec);
	}
}