﻿using System;
using System.Collections.Generic;

namespace mvcForum.Core.Interfaces.Data {

	public interface IPostRepository {
		//IList<Post> ReadPosts(Topic topic, ForumUser user, Boolean moderator, DateTime? latest);
		//IList<Post> ReadPosts(Topic topic, ForumUser user, Boolean moderator);
		//IList<Post> ReadPosts(Topic topic, Int32 page, ForumUser user, Boolean moderator);

		IEnumerable<Post> Read(ForumUser user, Topic topic, Int32 page, Int32 postsPerPage, Boolean showDeleted);
		IEnumerable<Post> ReadAll(ForumUser user, Topic topic, Boolean showDeleted);
		IEnumerable<Post> ReadSinceLast(ForumUser user, Topic topic, Int32 postsPerPage, Boolean showDeleted, out DateTime? lastRead, out Int32 showingPage);
	}
}