﻿using System;
using System.IO;

namespace mvcForum.Core.Interfaces {

	public interface IAttachmentStorage {
		/// <summary>
		/// 
		/// </summary>
		/// <param name="attachment"></param>
		/// <param name="inputStream"></param>
		/// <returns>The full path to the store attachment</returns>
		String CreateAttachment(Attachment attachment, Stream inputStream, String contentType);
		void DeleteAttachment(Attachment attachment);
		void DeleteAttachments(Post post);
		String Root { get; }
	}
}