﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.Logging;

namespace mvcForum.Core.Interfaces.Search {

	public interface IIndexer {
		void Index(Topic topic);
		void Index(Post post);
		void BulkIndex(IEnumerable<Post> post);
		void Remove(Forum forum);
		void Remove(Post post);
		void Remove(Topic topic);
		void Clear();
	}
}