﻿using System;
using System.Linq.Expressions;

using ApplicationBoilerplate.DataProvider;

namespace mvcForum.Core.Specifications {

	public static class BannedIPSpecifications {

		public class SpecificIP : ISpecification<BannedIP> {
			private readonly String ip;

			public SpecificIP(String ip) {
				this.ip = ip;
			}

			public Expression<Func<BannedIP, bool>> IsSatisfied {
				get {
					return x => x.IP == ip;	
				}
			}
		}
	}
}
