﻿using System;
using System.Linq.Expressions;

using ApplicationBoilerplate.DataProvider;

namespace mvcForum.Core.Specifications {

	public static class GroupSpecifications {

		public class SpecificName : ISpecification<Group> {
			private readonly String name;

			public SpecificName(String name) {
				this.name = name;
			}

			public Expression<Func<Group, Boolean>> IsSatisfied {
				get {
					return x => x.Name == name;
		        }
			}
		}
	}
}