﻿using System;
using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;

namespace mvcForum.MembershipProviderTest {

	public class Role {
		public ObjectId Id { get; set; }
		[BsonElement(FieldNames.Name)]
		public String Name { get; set; }
		[BsonElement(FieldNames.ApplicationName)]
		public String ApplicationName { get; set; }

		public static class FieldNames {
			public const String Id = "_id";
			public const String Name = "name";
			public const String ApplicationName = "app";
		}
	}
}