﻿using System;
using System.Configuration;

namespace mvcForum.Tests.WebUI {

	public static class TestConfiguration {
		private static String siteBaseURL = String.Empty;
		public static String SiteBaseURL {
			get {
				if (String.IsNullOrWhiteSpace(siteBaseURL)) {
					siteBaseURL = ConfigurationManager.AppSettings["SiteBaseURL"];
					if (!siteBaseURL.EndsWith("/")) {
						siteBaseURL += "/";
					}
					siteBaseURL = siteBaseURL.ToLower();
				}
				return siteBaseURL;
			}
		}
	}
}