﻿using System;
using System.Web.Mvc;

namespace mvcForum.Web.Areas.ForumAPI {

	public class ForumAPIAreaRegistration : AreaRegistration {

		public override string AreaName {
			get {
				return "forumapi";
			}
		}

		public override void RegisterArea(AreaRegistrationContext context) {
			// Default route for the area.
			context.MapRoute(
				"ForumAPI_default",
				"forumapi/{mode}/{controller}/{action}/{id}",
				new { controller = "Home", action = "Index", mode = "json", id = UrlParameter.Optional },
				new String[] { "mvcForum.Web.Areas.ForumAPI.Controllers" }
			);
		}
	}
}