﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using mvcForum.Core;

namespace mvcForum.Web.Areas.ForumAPI.ViewModels {

	public class Board {
		public Int32 Id { get; set; }
		[Required]
		[StringLength(Constants.FieldLengths.BoardName, MinimumLength = 1)]
		public String Name { get; set; }
		[Required]
		[StringLength(Constants.FieldLengths.SiteName, MinimumLength = 1)]
		public String Description { get; set; }
		public Boolean Disabled { get; set; }
	}
}