﻿using System;
using mvcForum.Core;

namespace mvcForum.Web.Areas.ForumAPI.ViewModels {

	public class Topic {
		public Int32 Id { get; set; }
		public String Title { get; set; }
		public Int32 ViewCount { get; set; }
		public Int32 PostCount { get; set; }
		public TopicFlag Flag { get; set; }
		public TopicType Type { get; set; }
		public DateTime Posted { get; set; }
		public DateTime LastPosted { get; set; }
		public Int32 AuthorId { get; set; }
		public String AuthorApiUrl { get; set; }
		public String Author { get; set; }
		public Int32? LastPostAuthorId { get; set; }
		public String LastPostAuthor { get; set; }
		public String LastPostAuthorApiUrl { get; set; }
	}
}