﻿using System;
using System.Collections.Generic;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.Areas.ForumAdmin.ViewModels {

	public class Forum {
		public Int32 Id { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.Forum", "Name")]
		public String Name { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.Forum", "SortOrder")]
		public Int32 SortOrder { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.Forum", "Description")]
		public String Description { get; set; }

		public Int32 BoardId { get; set; }
		public Int32 CategoryId { get; set; }

		public List<BreadcrumbNode> Path { get; set; }
	}
}