﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.Areas.ForumAdmin.ViewModels {

	public class ForumUser {
		public Int32 Id { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Name")]
		public String Name { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "EmailAddress")]
		public String EmailAddress { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Deleted")]
		public Boolean Deleted { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Active")]
		public Boolean Active { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Locked")]
		public Boolean Locked { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "LastIP")]
		public String LastIP { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "FirstVisit")]
		public DateTime FirstVisit { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "LatestVisit")]
		public DateTime LatestVisit { get; set; }
		public List<BreadcrumbNode> Path { get; set; }
	}
}