﻿using System;
using System.Web.Mvc;

using ApplicationBoilerplate.DataProvider;

using MVCBootstrap;

using mvcForum.Core.Abstractions.Interfaces;
using mvcForum.Core;
using mvcForum.Web.Interfaces;

namespace mvcForum.Web.Controllers {

	[Authorize(Roles = Constants.Roles.Combined)]
	public abstract class ForumAdminBaseController : ForumBaseController {

		protected ForumAdminBaseController(IWebUserProvider userProvider, IContext context) : base(userProvider, context) { }
	}
}