﻿using System;

using mvcForum.Core;

namespace mvcForum.Web.ViewModels {

	public class AttachmentViewModel {

		public AttachmentViewModel(Attachment attachment) {
			this.Filename = attachment.Filename;
			this.Path = attachment.Path;
			this.Size = attachment.Size;
			this.IsImage = attachment.IsImage;
		}

		public String Filename { get; private set; }
		public String Path { get; private set; }
		public Int64 Size { get; private set; }
		public Boolean IsImage { get; private set; }
	}
}
