﻿using System;
using System.ComponentModel.DataAnnotations;
using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.ViewModels {

	public class BasicInstallViewModel {

		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "ImportMembershipUsers")]
		public Boolean ImportMembershipUsers { get; set; }

		// Import
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "ExistingUserEmail")]
		public String ExistingUserEmail { get; set; }

		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "CreateAdmin")]
		public Boolean CreateAdmin { get; set; }
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "AdminUsername")]
		public String AdminUsername { get; set; }
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "AdminEmail")]
		public String AdminEmail { get; set; }
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "AdminPassword")]
		public String AdminPassword { get; set; }
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "CreateGroups")]
		public Boolean CreateGroups { get; set; }
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "CreateSimpleForum")]
		public Boolean CreateSimpleForum { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "SiteURL")]
		public String SiteURL { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.ViewModels.BasicInstallViewModel", "SubmitInstallation")]
		public Boolean SubmitInstallation { get; set; }

		public Boolean CanCreateAdmin { get; set; }
		public Boolean CanCreateGroups { get; set; }
		public Boolean CanCreateSimpleForum { get; set; }
	}
}