﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.ViewModels {

	public class LogOnModel {
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.LogOnModel", "EmailAddress")]
		[DataType(DataType.EmailAddress)]
		public String EmailAddress { get; set; }
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.LogOnModel", "Password")]
		[DataType(DataType.Password)]
		public String Password { get; set; }
		public Boolean RememberMe { get; set; }

		public Boolean AllowLocalUsers { get; set; }
		public Boolean AllowSignUp { get; set; }
		public Boolean AllowOpenAuthUsers { get; set; }
	}
}