﻿using System;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Web.ViewModels {

	public class SplitViewModel {
		public ForumViewModel Forum { get; set; }
		public TopicViewModel Topic { get; set; }

		[Required]
		public Int32 ForumId { get; set; }
		[Required]
		public Int32 TopicId { get; set; }
		[Required]
		public String OriginalTopicTitle { get; set; }
		[Required]
		public String NewTopicTitle { get; set; }
		[Required]
		public Int32[] PostId { get; set; }
	}
}