﻿using System;

using mvcForum.Core;

namespace mvcForum.Web.ViewModels {

	public class SubForumViewModel : ForumViewModelBase {

		public SubForumViewModel(Forum forum) {

			this.Id = forum.Id;
			this.Name = forum.Name;

			this.Accessible = this.HasAccess(forum);
		}

		public Int32 Id { get; private set; }
		public String Name { get; private set; }
		public Boolean Accessible { get; private set; }
	}
}