﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.ViewModels.Update {

	public class ReportMessageViewModel : ForumViewModelBase {
		[Required]
		public Int32 Id { get; set; }
		[Required]
		[LocalizedDisplay(typeof(mvcForum.Web.ForumConfigurator), "ReportMessage.Reason")]
		public String Reason { get; set; }
		[Required]
		[LocalizedDisplay(typeof(mvcForum.Web.ForumConfigurator), "ReportMessage.Feedback")]
		public Boolean Feedback { get; set; }

		public Int32 TopicId { get; set; }
		public String TopicTitle { get; set; }
		public String Subject { get; set; }
	}
}