﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

using MVCBootstrap.Web.Mvc.Attributes;

using mvcForum.Core;

namespace mvcForum.Web.ViewModels.Update {

	public class UpdateTopicViewModel : ForumViewModelBase {
		[Required]
		public Int32 Id { get; set; }
		[AllowHtml]
		[Required]
		[LocalizedDisplay("mvcForum.Web.EditTopic", "Message")]
		public String Body { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.EditTopic", "TopicTitle")]
		public String Title { get; set; }
		[LocalizedDisplay("mvcForum.Web.EditTopic", "Reason")]
		public String Reason { get; set; }
		[LocalizedDisplay("mvcForum.Web.EditTopic", "Flag")]
		public TopicFlag Flag { get; set; }
		[LocalizedDisplay("mvcForum.Web.EditTopic", "Type")]
		public TopicType Type { get; set; }
		public Boolean IsModerator { get; set; }
	}
}