﻿using System;

using ApplicationBoilerplate.DataProvider;

using mvcForum.Core.Interfaces;
using mvcForum.Core;

namespace mvcForum.AddOns.Akismet {

	public class AkismetInstall : IInstallable {
		private readonly IRepository<AddOnConfiguration> configRepo;

		public AkismetInstall(IRepository<AddOnConfiguration> configRepo) {
			this.configRepo = configRepo;
		}

		public void Install() {
			AkismetConfiguration conf = new AkismetConfiguration(this.configRepo);
			conf.Delay = 5;
			conf.Enabled = false;
			conf.RunAsynchronously = false;
			conf.SpamScore = 100;
			conf.MarkAsSpamOnHit = true;
		}
	}
}