﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.AddOns.ViewModels {

	public class NewUserTrialViewModel {
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "Enabled")]
		public Boolean Enabled { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "RunAsync")]
		public Boolean RunAsynchronously { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "Delay")]
		public Int32 Delay { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "AutoLimit")]
		public Int32 AutoLimit { get; set; }
		[LocalizedDisplay("mvcForum.AddOns.NewUserTrial", "ExcludeGroups")]
		public List<Int32> ExcludeGroups { get; set; }
	}
}
