﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	/// <summary>
	/// Interface for banned IP addresses data object.
	/// </summary>
	public interface IBannedIPData : IDataContainer {
		/// <summary>
		/// The IP addresses that has been banned.
		/// </summary>
		String IP { get; set; }
		/// <summary>
		/// Timestamp on when the IP addresses was banned.
		/// </summary>
		DateTime Timestamp { get; set; }
	}
}