﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	public interface IPerRequestCache {
		T Pull<T>(int id) where T : ICacheable;
		void Push<T>(T element) where T : ICacheable;
		object Pull(string key);
		void Push(string key, object value);
	}
}