﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	public interface IPostData : IDataContainer, IAuthoredElement {
		Int32 Position { get; set; }
		Int32 Indent { get; set; }
		String Subject { get; set; }
		String Body { get; set; }
		String IP { get; set; }
		DateTime? Edited { get; set; }
		PostFlag Flag { get; set; }
		String EditReason { get; set; }
		Boolean ModeratorChanged { get; set; }
		String DeleteReason { get; set; }
		Int32 TopicId { get; set; }
		Int32? ReplyToPostId { get; set; }
	}
}