﻿using System;

namespace mvcForum.Core.Abstractions.Interfaces {

	public interface ITopicData : IDataContainer, IAuthoredElement {
		String Title { get; set; }
		Int32 ViewCount { get; set; }
		Int32 PostCount { get; set; }
		TopicFlag Flag { get; set; }
		DateTime? LastPosted { get; set; }
		Int32? LastPostId { get; set; }
		Int32? LastPostUserId { get; set; }
		String LastPostUsername { get; set; }
		Int32 ForumId { get; set; }
	}
}