﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Core {

	public class AddOnConfiguration {
		public AddOnConfiguration() { }
		public AddOnConfiguration(String key, String value) {
			this.Key = key;
			this.Value = value;
		}

		public Int32 Id { get; set; }
		[Required]
		[StringLength(50)]
		public String Key { get; set; }
		[Required]
		[StringLength(Int32.MaxValue)]
		public String Value { get; set; }
	}
}
