﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.DependencyInjection;

using mvcForum.Core.Abstractions.Interfaces;
using mvcForum.Core.Configuration;

namespace mvcForum.Core.DependencyBuilders {

	public class CoreBuilder : IDependencyBuilder {

		public void Configure(IDependencyContainer container) {
			// The solution configuration
			//container.RegisterSingleton<IConfiguration>(new MVCForumWebConfig());
			container.RegisterPerRequest<IConfiguration, MVCForumDBConfig>();
		}

		public void ValidateRequirements(IList<ApplicationRequirement> feedback) { }
	}
}