﻿using System;
using System.Collections.Generic;

namespace mvcForum.Core.Events {

	public abstract class InformationBearingEvent {
		private List<EventFeedback> feedback = new List<EventFeedback>();

		//public void AddFeedback(String feedback) {
		//    if (!this.feedback.ContainsKey(feedback)) {
		//        this.feedback.Add(feedback, null);
		//    }
		//}

		public void AddFeedback(String textKey, String @namespace, Object arguments) {
			this.feedback.Add(new EventFeedback { TextKey = textKey, Namespace = @namespace, Arguments = arguments });
		}

		public IEnumerable<EventFeedback> GetFeedback() {
			return this.feedback;
		}
	}
}