﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Core {

	public class FollowForum {
		public FollowForum()  { }
		public FollowForum(Forum forum, ForumUser user) {
			this.Forum = forum;
			this.ForumUser = user;
		}

		#region Properties
		public Int32 Id { get; set; }
		[Required]
		public Int32 ForumId { get; set; }
		public virtual Forum Forum { get; set; }
		[Required]
		public Int32 ForumUserId { get; set; }
		public virtual ForumUser ForumUser { get; set; }
		#endregion
	}
}