﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Core {

	public class FollowTopic {
		public FollowTopic()  { }
		public FollowTopic(Topic topic, ForumUser user){
			this.Topic = topic;
			this.ForumUser = user;
		}

		#region Properties
		public Int32 Id { get; set; }
		[Required]
		public Int32 TopicId { get; set; }
		public virtual Topic Topic { get; set; }
		[Required]
		public Int32 ForumUserId { get; set; }
		public virtual ForumUser ForumUser { get; set; }
		#endregion
	}
}