﻿using System;

using mvcForum.Core.Events;
using System.Collections.Generic;

namespace mvcForum.Core.Interfaces.Services {

	public interface ITopicService {
		Topic Create(ForumUser author, Forum forum, String subject, TopicType type, String body, String authorIP, String userAgent, String forumUrl, List<String> feedbackOutput);
		Topic Read(ForumUser user, Int32 id);
		Boolean Update(ForumUser user, Topic topic, String title, String body, String forumURL);
		Boolean Update(ForumUser user, Topic topic, String title, String body, TopicType type, TopicFlag flag, String reason, String forumURL);
	}
}