﻿using System;
using ApplicationBoilerplate.DataProvider;
using System.Linq.Expressions;

namespace mvcForum.Core.Specifications {

	public static class FollowForumSpecifications {

		public class SpecificForum : ISpecification<FollowForum> {
			private readonly Forum forum;

			public SpecificForum(Forum forum) {
				this.forum = forum;
			}

			public Expression<Func<FollowForum, Boolean>> IsSatisfied {
				get {
					return x => x.ForumId == forum.Id;
				}
			}
		}
	}
}
