﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;

namespace mvcForum.Core {

	[Flags]
	public enum TopicFlag {
		None = 0,
		/// <summary>
		/// A locked topic, no more posts can be posted in a locked topic!
		/// TODO: Implement this!
		/// </summary>
		Locked = 1,
		/// <summary>
		/// A quarantined topic, this topic will only be visible for moderators!
		/// </summary>
		Quarantined = 2,
		/// <summary>
		/// A deleted topic.
		/// </summary>
		Deleted = 4,
		/// <summary>
		/// A moved topic.
		/// TODO: Implement this!
		/// </summary>
		Moved = 8
	}
}