﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;

namespace mvcForum.Core {

	public enum TopicType {
		/// <summary>
		/// A sticky topic, this topic will "stick" to the top of the list of topics, above regular topics.
		/// </summary>
		Sticky = 1,
		/// <summary>
		/// A announcement topic, this topic will be at the very top of the topic list, above stickies.
		/// Announcement will be show at the very top of each page in the forum.
		/// </summary>
		Announcement = 2,
		/// <summary>
		/// A regular standard topic, show after announcements and stickies.
		/// </summary>
		Regular = 4
	}
}