﻿/* mvcForum
 * Copyright (C) 2010-2011 Steen F. Tøttrup
 * http://mvcforum.org/
 */

using System;

namespace mvcForum.Core {

	public enum UserType {
		/// <summary>
		/// A local user, all data is stored in the local data storage
		/// </summary>
		Local,
		/// <summary>
		/// An external user, authentication is probably handled with OpenAuth or similar.
		/// </summary>
		External
	}
}