﻿//using System;
//using System.Collections.Generic;
//using System.ComponentModel.DataAnnotations;
//using System.Data.Entity;
//using System.Data.Entity.Validation;
//using System.Linq;
//using System.Linq.Expressions;
//using System.Reflection;

//using mvcForum.Core.Abstractions;
//using mvcForum.Core.Interfaces.Data;

//namespace mvcForum.DataProvider.EntityFramework {

//    public class Repository<TEntity> : RepositoryBase<TEntity> where TEntity : class {
//        private readonly DbContext context;
//        private readonly DbSet<TEntity> set;

//        public Repository(DbContext context) {
//            this.context = context;
//            this.set = context.Set<TEntity>();
//        }

//        public override void Create(TEntity newEntity) {
//            this.set.Add(newEntity);
//        }

//        public override TEntity Read(Int32 id) {
//            return this.set.Find(id);
//        }

//        //public override void Update(TEntity newEntity) {
//        //    // TODO: !?!?!??!
//        //}

//        public override void Delete(TEntity entity) {
//            this.set.Remove(entity);
//        }

//        public override IEnumerable<TEntity> ReadAll() {
//            // TODO: ?????
//            return this.set; //.ToList();
//        }

//        public override TEntity ReadOne(ISpecification<TEntity> spec) {
//            return this.set.Where(spec.IsSatisfied).FirstOrDefault();
//        }

//        public override IEnumerable<TEntity> ReadMany(ISpecification<TEntity> spec) {
//            // TODO: remove tolist, for performance??
//            return this.set.Where(spec.IsSatisfied).ToList();
//        }

//        public override void Commit() {
//            // Apart from the actual this.context.SaveChanges() line, this method is all about
//            // working around a known issue with lazy loaded properties with the Required attribute.

//            // Let's get any validation errors up-front!
//            var errors = this.context.GetValidationErrors();
//            // Iterate them!
//            foreach (DbEntityValidationResult result in errors) {
//                // Get the base type of the entity that is causing the error. The entity is actually a proxy object
//                // created by EF, so we need the Type of the actual class, as we need the attributes from the properties
//                // on the class we have created (Forum, Post, Topic, etc.)!
//                Type baseType = result.Entry.Entity.GetType().BaseType;
//                if (baseType != typeof(Object)) {
//                    // Run through the properties.
//                    foreach (PropertyInfo property in result.Entry.Entity.GetType().GetProperties()) {
//                        // Is this property marked with the Required attribute (on the base type)??
//                        if (baseType.GetProperty(property.Name).GetCustomAttributes(typeof(RequiredAttribute), true).Any()) {
//                            // Yes, let's get it's value (from the proxy object), that will load any lazy loaded property and solve:
//                            // Required (lazy loaded) property does not have a value!!
//                            property.GetValue(result.Entry.Entity, null);
//                        }
//                    }
//                }
//            }

//            this.context.SaveChanges();
//        }

//        //        private readonly ISession privateSession;
//        //        private readonly List<String> includes = new List<String>();

//        //        protected Repository(IUnitOfWorkManager manager) : base(manager) { }

//        //        private ISession Session {
//        //            get {
//        //                if (this.privateSession != null) {
//        //                    return this.privateSession;
//        //                }
//        //                var unitOfWork = this.UnitOfWork<UnitOfWork>();
//        //                return unitOfWork.GetSession<TEntity>();
//        //            }
//        //        }

//        //        protected override IQueryable<TEntity> RepositoryQuery {
//        //            get {
//        //                var query = this.Session.CreateQuery<TEntity>();
//        //                if (this.includes.Count > 0) {
//        //                    foreach (var path in this.includes) {
//        //                        query.Include(path);
//        //                    }
//        //                }
//        //                return query;
//        //            }
//        //        }
//        //        public override void Refresh(TEntity entity) {
//        //            this.Session.Refresh(entity);
//        //        }
//    }
//}