﻿using System;
using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;

namespace mvcForum.MembershipProviderTest {

	public class UserProfile {
		[BsonElement(FieldNames.LastActivityDate)]
		public DateTime LastActivityDate { get; set; }
		[BsonElement(FieldNames.LastUpdateDate)]
		public DateTime LastUpdateDate { get; set; }

		public BsonDocument Properties { get; set; }

		public static class FieldNames {
			public const String LastActivityDate = "lad";
			public const String LastUpdateDate = "lud";
		}
	}
}