﻿using System;
using System.ComponentModel.DataAnnotations;
using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.SearchProvider.Lucene.ViewModels {

	public class LuceneViewModel {
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "Enabled")]
		public Boolean Enabled { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "RunAsync")]
		public Boolean RunAsynchronously { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "Delay")]
		public Int32 Delay { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "TitleWeight")]
		public Int32 TitleWeight { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "TopicWeight")]
		public Int32 TopicWeight { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "StickyWeight")]
		public Int32 StickyWeight { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.SearchProvider.Lucene", "AnnouncementWeight")]
		public Int32 AnnouncementWeight { get; set; }
	}
}