﻿using System;
using System.ComponentModel.DataAnnotations;
using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.Areas.ForumAPI.ViewModels {

	public class ForumUser {
		[Required]
		public Int32 Id { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Name")]
		public String Name { get; set; }
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "EmailAddress")]
		public String EmailAddress { get; set; }
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Deleted")]
		public Boolean Deleted { get; set; }
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Active")]
		public Boolean Active { get; set; }
		[Required]
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Locked")]
		public Boolean Locked { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "FirstVisit")]
		public DateTime FirstVisit { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "LastVisit")]
		public DateTime LastVisit { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "LastIP")]
		public String LastIP { get; set; }

		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "Password")]
		public String Password { get; set; }
		[LocalizedDisplay("MVCForum.Web.ViewModels.ForumUser", "RepeatPassword")]
		public String RepeatPassword { get; set; }

		public String ApiUrl { get; set; }
	}
}