﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.DependencyInjection;
using ApplicationBoilerplate.Logging;

using mvcForum.Core.Abstractions.Interfaces;

namespace mvcForum.Web.DependencyBuilders {

	public class LoggingBuilder : IDependencyBuilder {

		public void Configure(IDependencyContainer container) {
			container.Register<ILogger, TraceLog>();
		}

		public void ValidateRequirements(IList<ApplicationRequirement> feedback) { }
	}
}