﻿using System;

using mvcForum.Core;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Web.ViewModels {

	public class AccessMaskViewModel {

		public AccessMaskViewModel() {
		}

		public AccessMaskViewModel(AccessMask mask) {
			this.Flag = mask.AccessFlag;
			this.Name = mask.Name;
			this.Id = mask.Id;
		}

		public Int32 Id { get; set; }
		public AccessFlag Flag { get; set; }
		[Required]
		public String Name { get; set; }
	}
}