﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

using mvcForum.Core;

namespace mvcForum.Web.ViewModels.Create {

	public class CreateForumAccessViewModel {

		public CreateForumAccessViewModel() { }

		public CreateForumAccessViewModel(Forum forum) {
			this.Name = forum.Name;
			this.Id = forum.Id;
		}

		public Dictionary<string, string> Path { get; set; }

		[Required]
		public Int32 Id { get; set; }
		public String Name { get; set; }

		[Required]
		public Int32 AccessMaskId { get; set; }
		[Required]
		public Int32 GroupId { get; set; }
	}
}