﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Web.ViewModels.Create {

	public class CreateForumViewModel {
		[Required]
		public String Name { get; set; }
		[Required]
		public String Description { get; set; }
		[Required]
		public Int32 SortOrder { get; set; }
		[Required]
		public Int32 CategoryId { get; set; }
		public Int32 ForumId { get; set; }

		public Dictionary<string, string> Path { get; set; }
	}
}
