﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;

using MVCBootstrap.Web.Mvc.Attributes;
using mvcForum.Core;
using System.ComponentModel.DataAnnotations;

namespace mvcForum.Web.ViewModels.Create {

	public class CreateMessageViewModel : ForumViewModelBase {

		[Required]
		[LocalizedDisplay("mvcForum.Web.CreateMessage","Subject")]
		public String Subject { get; set; }
		[AllowHtml]
		[Required]
		[LocalizedDisplay("mvcForum.Web.CreateMessage", "Message")]
		public String Body { get; set; }
		[LocalizedDisplay("mvcForum.Web.CreateMessage", "AttachFile")]
		public Boolean AttachFile { get; set; }

		public Boolean CanUpload { get; set; }
		public Int32? ReplyTo { get; set; }

		public TopicViewModel Topic { get; set; }
		public Int32 TopicId { get; set; }
		public IList<MessageViewModel> Posts { get; set; }
	}
}