﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

using mvcForum.Core;

namespace mvcForum.Web.ViewModels.Create {

	public class CreateReport : ForumViewModelBase {

		public CreateReport(Post post) {
			this.MessageId = post.Id;
		}

		[Required]
		public int MessageId { get; set; }

		[DisplayName("Reason:")]
		[Required]
		public String Reason { get; set; }
		[DisplayName("Notify me:")]
		[Required]
		public Boolean Notify { get; set; }
		[DisplayName("Further information:")]
		[Required]
		public String FurtherInfo { get; set; }
	}
}