﻿using System;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

namespace mvcForum.Web.ViewModels.Delete {

	public class DeleteMessageViewModel : ForumViewModelBase {
		[Required]
		public Int32 Id { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.DeleteMessage", "Delete")]
		public Boolean Delete { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.DeleteMessage", "Reason")]
		public String Reason { get; set; }

		public Int32 TopicId { get; set; }
		public String TopicTitle { get; set; }
		public String Subject { get; set; }
	}
}