﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

using MVCBootstrap.Web.Mvc.Attributes;

using mvcForum.Core.Search;

namespace mvcForum.Web.ViewModels {

	public class SearchViewModel {
		[LocalizedDisplay("mvcForum.Web.Search", "Forums")]
		public Int32[] Forums { get; set; }
		[Required]
		[LocalizedDisplay("mvcForum.Web.Search", "Query")]
		public String Query { get; set; }

		public IEnumerable<TopicViewModel> Results { get; set; }
	}
}