﻿using System;
using System.Collections.Generic;

using ApplicationBoilerplate.DependencyInjection;

using MVCBootstrap.Web.Mvc.Navigations;

namespace mvcForum.WebUI.Intrastructure {

	public class SampleSiteBuilder : IDependencyBuilder {

		public void Configure(IDependencyContainer container) {
			container.Register<INavigation, TopNavigation>();
		}

		public void ValidateRequirements(IList<ApplicationRequirement> feedback) { }
	}
}